GetbeelDocs

List the credit notes of an invoice

GET
/invoices/{id}/credit-notes

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Path Parameters

id*string

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/invoices/string/credit-notes'
Example Response
{  "object": "list",  "data": [    {      "object": "invoice",      "id": "fe_3f1c…",      "livemode": true,      "number": "string",      "tipo_documento": "TD01",      "invoice_date": "2026-10-29",      "due_date": "2026-10-29",      "status": "draft",      "is_proforma": true,      "currency": "string",      "amount_subtotal": "122.00",      "amount_tax": "122.00",      "amount_total": "122.00",      "customer": {        "name": "string",        "vat_number": "string",        "codice_fiscale": "string",        "codice_destinatario": "string",        "pec": "string",        "email": "string",        "country": "string",        "address": "string",        "postal_code": "string",        "city": "string",        "province": "string"      },      "sdi": {        "identificativo_sdi": "string",        "file_name": "string",        "error_message": "string",        "error_codes": [          "00404"        ],        "errors": [          {            "code": "00305",            "description": "1.4.1.1.2 <IdCodice> non valido"          }        ],        "available_since": "2026-10-31",        "updated_at": "2019-08-24T14:15:22Z"      },      "payment_status": "unpaid",      "amount_due": "122.00",      "amount_credited": "122.00",      "withholdings": [        {          "type": "RT01",          "rate": "122.00",          "amount": "122.00",          "reason": "A"        }      ],      "related_invoice_id": "string",      "series_id": "0f6582ac-1e7e-41dc-a63a-24fccd074d0c",      "amount_paid": "122.00",      "paid_at": "2026-10-29",      "overdue": true,      "payment_link_url": "string",      "lines": [        {          "description": "string",          "quantity": "1",          "unit_price": "100.00",          "amount": "122.00",          "vat_rate": "22.00",          "natura": "N2.2"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}